<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# IMAGE                                                            #
# Vízjelezett képfájl előállítása a fotókból                       #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/

  include("../config/config_program.php");   // Program konfiguráció
  include("../config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("_sql.php");            // SQL kezelő függvények 
// Kapcsolódás az adatbázishoz
  adatbazis();
  $lekerdezes_fotok = lekerdezes("SELECT * FROM fotok WHERE foto_azon = ".$_REQUEST['id']);
  $rekord_fotok = olvas_asszociativ($lekerdezes_fotok);
  // Vízjelezett kép előállítása   
  $wmfile = $dir['program']."/".$dir['images']."/wm.png";
  $imgfile = $dir['program']."/".$dir['photos']."/".$rekord_fotok[foto_file];
  $wm = imagecreatefrompng($wmfile); 
  $img = imagecreatefromjpeg($imgfile);
  $wmsize = getimagesize($wmfile); 
  $imgsize = getimagesize($imgfile);
  $destx = ($imgsize[0] - $wmsize[0])/2 ; 
  $desty = ($imgsize[1] - $wmsize[1])/2 ;
  imagecopymerge($img,$wm,$destx,$desty, 0, 0, $wmsize[0], $wmsize[1], 10); 

  header("content-type: image/jpeg");
  imagejpeg($img); 
  imagedestroy($img); 
  imagedestroy($wm); 
?>
